<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Compute</title>
    <script src="https://unpkg.com/vue@next"></script>
</head>

<body>
    <div id="app">
        <input type="number" v-model="celcius"> fahrengeit: {{fahrengeit}}
    </div>
    <script>
        const App = {
            data() {
                return {
                    celcius: 25,
                    //fahrengeit: 0
                }
            },
            methods: {
                // convertToFahrenheit() {
                //    this.fahrengeit = 1.8 * this.celcius + 32
                //}
            },
            computed: {
                fahrengeit() {
                    return 1.8 * this.celcius + 32
                }
            }
        }
        Vue.createApp(App).mount('#app')
    </script>
</body>

</html>